*Load fDistance program
capture: program drop fDistance
program define fDistance
	args lat1 lon1 lat2 lon2 vDistance
	tempvar a1 a2 b1 b2
	quiet {
		gen `a1' = `lat1' * _pi / 180
		gen `a2' = `lon1' * _pi / 180
		gen `b1' = `lat2' * _pi / 180
		gen `b2' = `lon2' * _pi / 180
		*calculate distance	
		gen `vDistance' = round(6372.795*(2*asin(sqrt( sin((`a1' - `b1')/2)^2 +  cos(`a1')*cos(`b1')*sin((`a2' - `b2')/2)^2  )))*1000)
		replace `vDistance' = . if (`lat1'>=.) | (`lat2'>=.) | (`lon1'>=.) | (`lon2'>=.)
	}
	drop `a1' `a2' `b1' `b2' 
end
